%global apiver	5
%global major	0
%define libname %mklibname tepl %{apiver} %{major}
%define girname	%mklibname tepl-gir %{apiver}
%define devname %mklibname -d tepl %{apiver}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           tepl
Version:        5.0.0
Release:        %mkrel 1
Summary:        Text editor product line
Group:		    System/Libraries

License:        LGPLv3+
URL:            https://wiki.gnome.org/Projects/Tepl
Source0:        https://download.gnome.org/sources/tepl/%{url_ver}/tepl-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(amtk-5)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)
Obsoletes:      tepl-tests

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package        -n %{libname}
Summary:        Libraries for %{name}
Group:		    System/Libraries
Requires:	    %{name}
Obsoletes:      lib64tepl4_0

%description    -n %{libname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:		    Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	    %{name}-devel = %{version}-%{release}
Obsoletes:      lib64tepl4-devel

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang tepl-%{apiver}


%files -f tepl-%{apiver}.lang
%doc AUTHORS NEWS README


%files -n %{libname}
%{_libdir}/libtepl-%{apiver}.so.%{major}*
%{_libdir}/girepository-1.0/Tepl-%{apiver}.typelib

%files -n %{devname}
%{_includedir}/tepl-%{apiver}/
%{_libdir}/libtepl-%{apiver}.so
%{_libdir}/pkgconfig/tepl-%{apiver}.pc
%{_datadir}/gir-1.0/Tepl-%{apiver}.gir


%changelog
* Fri Sep 11 2020 tex - 5.0.0-1pclos2020
- 5.0.0
